<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/CosTradingRepos/ServiceTypeRepository.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - CosTradingRepos::ServiceTypeRepository</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../CosTradingRepos.html" >CosTradingRepos</a>
</div><div class="class-name">interface ServiceTypeRepository

</div><div class="links"><div class="file">File: <a href="../../File/CosTradingRepos.idl.html" target="detail">CosTradingRepos.idl</a></div> <div class="xref"></div> <div class="source"></div></div>   <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Typedefs Summary:</div>
<div class="item"><div class="synopsis">sequence&lt;<a href="../CosTrading.html#ServiceTypeName" >CosTrading::ServiceTypeName</a>&gt; <a class="name" id="ServiceTypeNameSeq">ServiceTypeNameSeq</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">sequence&lt;<a href="ServiceTypeRepository/PropStruct.html" >PropStruct</a>&gt; <a class="name" id="PropStructSeq">PropStructSeq</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="../CosTrading.html#Istring" >CosTrading::Istring</a> <a class="name" id="Identifier">Identifier</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Structs Summary:</div>
<div class="item"><div class="synopsis">struct <a href="ServiceTypeRepository/PropStruct.html" >PropStruct</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">struct <a href="ServiceTypeRepository/IncarnationNumber.html" >IncarnationNumber</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">struct <a href="ServiceTypeRepository/TypeStruct.html" >TypeStruct</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Enums Summary:</div>
<div class="item"><div class="synopsis"><a class="name" id="PropertyMode">PropertyMode</a> PROP_NORMAL, PROP_READONLY, PROP_MANDATORY, PROP_MANDATORY_READONLY</div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ListOption">ListOption</a> all, since</div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Unions Summary:</div>
<div class="item"><div class="synopsis">union <a href="ServiceTypeRepository/SpecifiedServiceTypes.html" >SpecifiedServiceTypes</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Operations Summary:</div>
<div class="item"><div class="synopsis"> <a href="ServiceTypeRepository/IncarnationNumber.html" >IncarnationNumber</a> <a class="name" id="add_type">add_type</a>(<span class="keyword">in</span> <a href="../CosTrading.html#ServiceTypeName" >CosTrading::ServiceTypeName</a> <span class="variable">name</span>, <span class="keyword">in</span> <a href="ServiceTypeRepository.html#Identifier" >Identifier</a> <span class="variable">if_name</span>, <span class="keyword">in</span> <a href="ServiceTypeRepository.html#PropStructSeq" >PropStructSeq</a> <span class="variable">props</span>, <span class="keyword">in</span> <a href="ServiceTypeRepository.html#ServiceTypeNameSeq" >ServiceTypeNameSeq</a> <span class="variable">super_types</span>)  <a href="ServiceTypeRepository.html#add_type" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="remove_type">remove_type</a>(<span class="keyword">in</span> <a href="../CosTrading.html#ServiceTypeName" >CosTrading::ServiceTypeName</a> <span class="variable">name</span>)  <a href="ServiceTypeRepository.html#remove_type" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a href="ServiceTypeRepository.html#ServiceTypeNameSeq" >ServiceTypeNameSeq</a> <a class="name" id="list_types">list_types</a>(<span class="keyword">in</span> <a href="ServiceTypeRepository/SpecifiedServiceTypes.html" >SpecifiedServiceTypes</a> <span class="variable">which_types</span>)  </div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a href="ServiceTypeRepository/TypeStruct.html" >TypeStruct</a> <a class="name" id="describe_type">describe_type</a>(<span class="keyword">in</span> <a href="../CosTrading.html#ServiceTypeName" >CosTrading::ServiceTypeName</a> <span class="variable">name</span>)  <a href="ServiceTypeRepository.html#describe_type" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a href="ServiceTypeRepository/TypeStruct.html" >TypeStruct</a> <a class="name" id="fully_describe_type">fully_describe_type</a>(<span class="keyword">in</span> <a href="../CosTrading.html#ServiceTypeName" >CosTrading::ServiceTypeName</a> <span class="variable">name</span>)  <a href="ServiceTypeRepository.html#fully_describe_type" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="mask_type">mask_type</a>(<span class="keyword">in</span> <a href="../CosTrading.html#ServiceTypeName" >CosTrading::ServiceTypeName</a> <span class="variable">name</span>)  <a href="ServiceTypeRepository.html#mask_type" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="unmask_type">unmask_type</a>(<span class="keyword">in</span> <a href="../CosTrading.html#ServiceTypeName" >CosTrading::ServiceTypeName</a> <span class="variable">name</span>)  <a href="ServiceTypeRepository.html#unmask_type" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Enumerators Summary:</div>
<div class="item"><div class="synopsis"><a class="name" id="PROP_NORMAL">PROP_NORMAL</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="PROP_READONLY">PROP_READONLY</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="PROP_MANDATORY">PROP_MANDATORY</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="PROP_MANDATORY_READONLY">PROP_MANDATORY_READONLY</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="all">all</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="since">since</a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Exceptions Summary:</div>
<div class="item"><div class="synopsis">exception <a href="ServiceTypeRepository/ServiceTypeExists.html" >ServiceTypeExists</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="ServiceTypeRepository/InterfaceTypeMismatch.html" >InterfaceTypeMismatch</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="ServiceTypeRepository/HasSubTypes.html" >HasSubTypes</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="ServiceTypeRepository/AlreadyMasked.html" >AlreadyMasked</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="ServiceTypeRepository/NotMasked.html" >NotMasked</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="ServiceTypeRepository/ValueTypeRedefinition.html" >ValueTypeRedefinition</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="ServiceTypeRepository/DuplicateServiceTypeName.html" >DuplicateServiceTypeName</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"><span class="keyword">readonly</span> <a href="ServiceTypeRepository/IncarnationNumber.html" >IncarnationNumber</a> <a class="name" id="incarnation">incarnation</a>  </div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Fri Apr 17 08:48:18 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
